## python-pex 1.5.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pex.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pex.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pex"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pex"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-pex 0.8.6

=== debian/changelog ===
python-pex (0.8.6-2) unstable; urgency=medium

  * d/patches/handle-pkg_resources-devendorization.patch: Work around
    the Debian devendorization of pkg_resources, which wreaks havoc
    with the manipulations of sys that pex employs.  (Closes: #781130)
  * d/patches/modern-install-requires.patch: Allow for setuptools
    12.2, fixing the manpage build.  (LP: #1435598)

 -- Barry Warsaw <barry@debian.org>  Wed, 25 Mar 2015 10:58:36 -0400

python-pex (0.8.6-1) unstable; urgency=medium

  * Initial release. (Closes: #778708)

 -- Barry Warsaw <barry@debian.org>  Thu, 19 Feb 2015 14:13:25 -0500

=== debian/control ===
Source: python-pex
Maintainer: Barry Warsaw <barry@debian.org>
Uploaders: Debian Python Modules Team
           <python-modules-team@lists.alioth.debian.org>
Homepage: https://github.com/pantsbuild/pex
Section: python
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               help2man,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg-1~),
               python3-all,
               python3-setuptools,
               python3-wheel
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-pex.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-pex.git

Package: python-pex
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-pex-doc
Description: library for generating Python executable zip files
 pex is a library for generating .pex (Python EXecutable) files which
 are executable Python environments in the spirit of virtualenvs.  pex
 is an expansion upon the ideas outlined in PEP 441 and makes the
 deployment of Python applications as simple as cp.  pex files may even
 include multiple platform-specific Python distributions, meaning that
 a single pex file can be portable across Linux and OS X.
 .
 pex files can be built using the pex tool.  Build systems such as
 Pants and Buck also support building .pex files directly.
 .
 This is the Python 2 library version.

Package: python3-pex
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-pex-doc
Description: library for generating Python executable zip files
 pex is a library for generating .pex (Python EXecutable) files which
 are executable Python environments in the spirit of virtualenvs.  pex
 is an expansion upon the ideas outlined in PEP 441 and makes the
 deployment of Python applications as simple as cp.  pex files may even
 include multiple platform-specific Python distributions, meaning that
 a single pex file can be portable across Linux and OS X.
 .
 pex files can be built using the pex tool.  Build systems such as
 Pants and Buck also support building .pex files directly.
 .
 This is the Python 3 library version.

Package: python-pex-cli
Architecture: all
Depends: python3,
         python3-pex,
         python3-setuptools,
         python3-wheel,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-pex-doc
Description: library for generating Python executable zip files
 pex is a library for generating .pex (Python EXecutable) files which
 are executable Python environments in the spirit of virtualenvs.  pex
 is an expansion upon the ideas outlined in PEP 441 and makes the
 deployment of Python applications as simple as cp.  pex files may even
 include multiple platform-specific Python distributions, meaning that
 a single pex file can be portable across Linux and OS X.
 .
 pex files can be built using the pex tool.  Build systems such as
 Pants and Buck also support building .pex files directly.
 .
 This is the command line package.

Package: python-pex-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: library for generating Python executable zip files
 pex is a library for generating .pex (Python EXecutable) files which
 are executable Python environments in the spirit of virtualenvs.  pex
 is an expansion upon the ideas outlined in PEP 441 and makes the
 deployment of Python applications as simple as cp.  pex files may even
 include multiple platform-specific Python distributions, meaning that
 a single pex file can be portable across Linux and OS X.
 .
 pex files can be built using the pex tool.  Build systems such as
 Pants and Buck also support building .pex files directly.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pex
export DH_VERBOSE=1

export pkgversion=$(shell dpkg-parsechangelog --show-field version)


%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# Use the Python 3 binary.
	mkdir -p debian/python-pex-cli/usr/bin
	mv debian/python3-pex/usr/bin/pex debian/python-pex-cli/usr/bin
	rm -rf debian/python3-pex/usr/bin
	rm -rf debian/python-pex/usr/bin

override_dh_installman:
	PYTHONPATH=$(CURDIR) help2man -n pex -s 1 -o debian/pex.1 \
		--version-string=$(pkgversion) \
		--no-discard-stderr --no-info \
		debian/python-pex-cli/usr/bin/pex
	dh_installman

# Disable docs and tests until upstream tarball includes them.

override_dh_installdocs:
	dh_installdocs
	echo "https://github.com/pantsbuild/pex/issues/51"

override_dh_autotest:
	dh_autotest
	echo "https://github.com/pantsbuild/pex/issues/51"

# override_dh_installdocs:
# 	python setup.py build_sphinx
# 	dh_installdocs

## python-pex 1.1.0

=== debian/changelog ===
python-pex (1.1.0-2) unstable; urgency=medium

  * d/control: Canonicalize the Vcs-* headers as per team standard.
  * d/patches/bump-wheel-requirement-version.patch: Added.
  * d/README.pex: Removed; upstream now includes the docs directory.
  * d/python-pex-docs -> python-pex-doc.docs; fix the path.
  * d/rules:
    - Added override_dh_installdocs to build the Sphinx documentation.
    - Added override_dh_auto_clean to remove the doc build directory.
  * d/tests:
    - Rewrite the execution test so that it's compatible between both
      Ubuntu and Debian, negating the need for an Ubuntu delta.  The extra
      required package is now conditionally installed depending on the
      dpkg-vendor.  Also, by setting http_proxy and https_proxy to the
      discard port, we ensure that pex cannot install from PyPI (it must
      use system packages to resolve dependencies in the test).
    - d/t/execute.sh: Added.
    - d/t/control: Call execute.sh instead of using a Test-Command, and
      add the needs-root Restriction (for the conditional `apt-get
      install` in the script).

 -- Barry Warsaw <barry@debian.org>  Thu, 15 Oct 2015 11:47:26 -0400

python-pex (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Added python3-pkg-resources to pex Depends.

 -- Barry Warsaw <barry@debian.org>  Mon, 12 Oct 2015 16:24:02 -0400

python-pex (1.0.3-2) unstable; urgency=medium

  * d/control:
    - Rename python-pex-cli binary package to pex.  This now replaces/breaks
      earlier versions of python-pex-cli.  (Closes: #801246)
    - Reintroduce python-pex-cli binary package as a virtual package.
  * d/rules:
    - Updated for binary package rename.
  * d/python-pex-cli.manpages -> d/pex.manpages.
  * d/tests/control:
    - Use Test-Command instead of a separate script.
    - Bump pex verbosity in the execution test.
    - Add "Restrictions: allow-stderr" for verbose execution test.
    - Add import tests for Python 2 and 3.
  * d/tests/smoketest: Remove.

 -- Barry Warsaw <barry@debian.org>  Tue, 06 Oct 2015 16:02:46 -0400

python-pex (1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * d/patches/bump-setuptools-max-version.patch: Bump the maximum allowed
    setuptools version to coincide with what's in Debian, which allows the
    manpages to be built. (Closes: #792521)
  * d/rules: Remove the overrides for upstream issue #51, which has been
    fixed released.

 -- Barry Warsaw <barry@debian.org>  Thu, 13 Aug 2015 17:16:14 -0400

python-pex (1.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Barry Warsaw <barry@debian.org>  Fri, 17 Jul 2015 16:29:53 -0400

python-pex (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control, d/tests: Add a simple DEP-8 smoketest.
  * d/copyright: Reorganize to make lintian happy.

 -- Barry Warsaw <barry@debian.org>  Tue, 02 Jun 2015 15:02:50 -0400

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Section: python
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
+XS-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -18,7 +19,7 @@
                python3-wheel
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-pex.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-pex.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pex.git
 
 Package: python-pex
 Architecture: all
@@ -54,14 +55,17 @@
  .
  This is the Python 3 library version.
 
-Package: python-pex-cli
+Package: pex
 Architecture: all
 Depends: python3,
          python3-pex,
+         python3-pkg-resources,
          python3-setuptools,
          python3-wheel,
          ${misc:Depends},
          ${python3:Depends}
+Replaces: python-pex-cli (<< 1.0.3-2~)
+Breaks: python-pex-cli (<< 1.0.3-2~)
 Suggests: python-pex-doc
 Description: library for generating Python executable zip files
  pex is a library for generating .pex (Python EXecutable) files which
@@ -92,3 +96,11 @@
  Pants and Buck also support building .pex files directly.
  .
  This is the common documentation package.
+
+Package: python-pex-cli
+Depends: pex, ${misc:Depends}
+Architecture: all
+Priority: extra
+Section: oldlibs
+Description: transitional dummy package for pex
+ This is a transitional dummy package.  It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pex
export DH_VERBOSE=1

export pkgversion=$(shell dpkg-parsechangelog --show-field version)


%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# Use the Python 3 version of /usr/bin/pex
	mkdir -p debian/pex/usr/bin
	cp debian/python3-pex/usr/bin/pex debian/pex/usr/bin
	rm -rf debian/python3-pex/usr/bin
	rm -rf debian/python-pex/usr/bin

override_dh_installdocs:
	PYTHONPATH=. sphinx-build -N -bhtml docs build
	dh_installdocs

override_dh_installman:
	PYTHONPATH=$(CURDIR) help2man -n pex -s 1 -o debian/pex.1 \
		--version-string=$(pkgversion) \
		--no-discard-stderr --no-info \
		debian/pex/usr/bin/pex
	dh_installman

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

=== debian/tests/control ===
Tests: execute.sh
Restrictions: allow-stderr, needs-root
Depends: @, dpkg-dev

Test-Command: python -c "import pex; print pex"
Depends: @

Test-Command: python3 -c "import pex; print(pex)"

## python-pex 1.1.4

=== debian/changelog ===
python-pex (1.1.4-1) unstable; urgency=medium

  * New upstream release.
  * d/patches/bump-setuptools-max-version.patch: Update setuptools versions.

 -- Barry Warsaw <barry@debian.org>  Tue, 22 Mar 2016 13:20:30 -0400

python-pex (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Bump Standards-Version to 3.9.7 with no other changes needed.
    - Update Vcs-Git header to https URL as per style guide.
  * d/tests/{control,execute.sh}: Revert Ubuntu accommodations.
  * d/patches: Updated by git-dpm.
  * d/rules: in override_dh_auto_clean, there's no need to remove the
    build/ directory explicitly, but we do need to remove the pex.1 file.

 -- Barry Warsaw <barry@debian.org>  Mon, 22 Feb 2016 16:17:28 -0500

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
                python3-all,
                python3-setuptools,
                python3-wheel
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-pex.git
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pex.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pex.git
 
 Package: python-pex

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/pex/pex-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pex 1.1.14

=== debian/changelog ===
python-pex (1.1.14-2ubuntu2) artful; urgency=medium

  * debian/patches/343.patch:
    - Fix another python3.6 failure, related to upstream issue 29130
      https://bugs.python.org/issue29130

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Jul 2017 12:49:21 +0200

python-pex (1.1.14-2ubuntu1) artful; urgency=medium

  * debian/patches/c5ab73fd4d8e816e21a89d48c8d0c8095ef5a49c.patch:
    - fix build and testsuite with python3.6 with upstream cherry-pick

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Jul 2017 11:10:09 +0200

python-pex (1.1.14-2) unstable; urgency=medium

  * d/patches/update-dependencies.patch: Remove ceiling dependency
    versions since we have (or may eventually have) newer versions
    which are still compatible.  This prevents trying to hit PyPI for
    setuptools and wheel dependencies we still satisfy.  
    (Closes: #838559)
  * d/control: pex works better with requests, so add python3-requests
    to Depends.

 -- Barry Warsaw <barry@debian.org>  Thu, 22 Sep 2016 11:43:40 -0400

python-pex (1.1.14-1) unstable; urgency=medium

  * New upstream release.

 -- Barry Warsaw <barry@debian.org>  Wed, 03 Aug 2016 13:11:56 -0400

python-pex (1.1.6-1) unstable; urgency=medium

  * New upstream release.
  * d/patches/bump-setuptools-max-version.patch: Deleted; applied upstream.
  * d/control:
    - Bump Standards-Version to 3.9.8 with no other changes needed.
    - Remove XS-Testsuite as it's now redundant.

 -- Barry Warsaw <barry@debian.org>  Mon, 09 May 2016 16:40:26 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Section: python
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
-XS-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -17,7 +16,7 @@
                python3-all,
                python3-setuptools,
                python3-wheel
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pex.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pex.git
 
@@ -60,6 +59,7 @@
 Depends: python3,
          python3-pex,
          python3-pkg-resources,
+         python3-requests,
          python3-setuptools,
          python3-wheel,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -29,5 +29,5 @@
 	dh_installman
 
 override_dh_auto_clean:
+	rm -f debian/pex.1
 	dh_auto_clean
-	rm -rf build

=== debian/tests/control ===
Tests: execute.sh
Restrictions: allow-stderr
Depends: @, dpkg-dev

Test-Command: python -c "import pex; print pex"
Depends: @

Test-Command: python3 -c "import pex; print(pex)"

## python-pex 1.5.3

=== debian/changelog ===
python-pex (1.5.3-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package due to MIA maintainer.
  * New upstream release.
  * d/watch: Monitor GitHub upstream instead of pypi.
  * d/control: Bump Standards-Version to 4.6.1.
  * d/patches: Update patches:
    + PR318.patch: Dropped, merged upstream.
    + handle-pkg_resources-devendorization.patch: Dropped, not needed.
    + update-dependencies.patch: Refreshed.
    + 0002-Fix-collections.abc-compat.patch: Added. (Closes: #1002185)

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Jun 2022 16:57:54 -0400

python-pex (1.1.14-4) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team upload.
  * Fix autopkg test (Closes: #949472).
    - Return correct value on d/tests/testsuite.
  * d/tests: Switch testsuit to python3.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Apply multi-arch hints.
    + python-pex-doc: Add Multi-Arch: foreign.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove MIA uploader Barry Warsaw <barry@debian.org>. Closes: #970150
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Jun 2022 21:49:38 -0400

python-pex (1.1.14-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/source/options: created to ignore changes in 'requires.txt' file.
  * debian/tests/execute.sh: fixed errors in autopkgtest, thanks to Matthias Klose,
    Emmanuel Arias and Gianfranco Costamagna. (Closes: #949472)

 -- Gleisson Jesuino Joaquim Cardoso <gleissoncg2@gmail.com>  Sat, 13 Jun 2020 02:55:26 -0300

python-pex (1.1.14-3) unstable; urgency=medium

  [ Barry Warsaw ]
  * d/control: Put DPMT in Maintainers and myself in Uploaders.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * debian/patches/PR318.patch
    - adjust FileFinder import to work with Python 3.6; Closes: #896657
  * debian/control
    - drop python-pex-cli, transitional package already in stable
    - bump Standards-Version to 4.4.1 (no changes needed)
  * Drop python2 support; Closes: #938019

 -- Sandro Tosi <morph@debian.org>  Sun, 27 Oct 2019 13:35:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,41 +1,18 @@
 Source: python-pex
-Maintainer: Barry Warsaw <barry@debian.org>
-Uploaders: Debian Python Modules Team
-           <python-modules-team@lists.alioth.debian.org>
-Homepage: https://github.com/pantsbuild/pex
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: python
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                help2man,
-               python-all (>= 2.6.6-3~),
-               python-setuptools,
-               python-sphinx (>= 1.0.7+dfsg-1~),
+               python3-sphinx,
                python3-all,
                python3-setuptools,
                python3-wheel
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pex.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pex.git
-
-Package: python-pex
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Suggests: python-pex-doc
-Description: library for generating Python executable zip files
- pex is a library for generating .pex (Python EXecutable) files which
- are executable Python environments in the spirit of virtualenvs.  pex
- is an expansion upon the ideas outlined in PEP 441 and makes the
- deployment of Python applications as simple as cp.  pex files may even
- include multiple platform-specific Python distributions, meaning that
- a single pex file can be portable across Linux and OS X.
- .
- pex files can be built using the pex tool.  Build systems such as
- Pants and Buck also support building .pex files directly.
- .
- This is the Python 2 library version.
+Standards-Version: 4.6.1
+Homepage: https://github.com/pantsbuild/pex
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pex.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pex
 
 Package: python3-pex
 Architecture: all
@@ -84,6 +61,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: library for generating Python executable zip files
  pex is a library for generating .pex (Python EXecutable) files which
  are executable Python environments in the spirit of virtualenvs.  pex
@@ -96,11 +74,3 @@
  Pants and Buck also support building .pex files directly.
  .
  This is the common documentation package.
-
-Package: python-pex-cli
-Depends: pex, ${misc:Depends}
-Architecture: all
-Priority: extra
-Section: oldlibs
-Description: transitional dummy package for pex
- This is a transitional dummy package.  It can safely be removed.

=== debian/tests/control ===
Tests: execute.sh
Restrictions: allow-stderr
Depends: @, dpkg-dev

Test-Command: python3 -c "import pex; print(pex)"

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/pantsbuild/pex/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
